﻿-- (c) eradicator a.k.a lossycrypt, 2017-2021, not seperately licensable
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Built-In                                                                   --
-- -------------------------------------------------------------------------- --
local elroot = (pcall(require,'erlib/empty')) and '' or '__eradicators-library__/'
local say,warn,err,elreq,flag,ercfg=table.unpack(require(elroot..'erlib/shared'))

-- -------------------------------------------------------------------------- --
-- Eradicators Library                                                        --
-- (Factorio does not allow runtime require!)                                 --
-- -------------------------------------------------------------------------- --
local Setting     = elreq('erlib/factorio/Setting'   )()

-- -------------------------------------------------------------------------- --
-- Constants                                                                  --
-- -------------------------------------------------------------------------- --
local import = PluginManager.make_relative_require 'animation-downsampler'
local const  = import '/const'

-- -------------------------------------------------------------------------- --
-- Settings                                                                   --
-- -------------------------------------------------------------------------- --

-- {name,scope,type,default or {default,min,max},order,...}
Setting.make {
  const.name.setting.lq_vram_percentage,
  'startup', 'double', {33.33, 0, 100},
  'er:vram-1',
  }

Setting.make {
  const.name.setting.hq_vram_percentage,
  'startup', 'double', {33.33, 0, 100},
  'er:vram-2',
  }
  
Setting.make {
  const.name.setting.min_frames_to_keep,
  'startup', 'int', {5, 1, const.defines.frame_sequence_max_length},
  'er:vram-3',
  }